import { IAnnotoApi, IConfig } from '@annoto/widget-api';
import { LoggerInterface } from '@annoto/web-sdk';
export interface AuthProviderInterface {
    getSSOToken(): Promise<string>;
    authChanges(cb: (auth: boolean) => void): void;
    isAuthenticated(): Promise<boolean>;
}
export interface WidgetServiceInterface {
    setServices: (logger: LoggerInterface, authProvider?: AuthProviderInterface) => void;
    setup(config?: IConfig, bootsrapUrl?: string): Promise<void>;
    load(playerElement: string | HTMLElement, host?: HTMLElement): Promise<void>;
    destroy(): Promise<void>;
    getApi(): Promise<IAnnotoApi>;
}
